This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 355141 - pull upstream patches for smbfs
pull upstream patches for smbfs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Layton
Martin Jenner
:
: 241545 (view as bug list)
Depends On:
Blocks: 430698
  Show dependency treegraph
 
Reported: 2007-10-27 07:01 EDT by Jeff Layton
Modified: 2010-10-22 15:53 EDT (History)
5 users (show)

See Also:
Fixed In Version: RHSA-2008-0665
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-24 15:18:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch 1 (1.11 KB, patch)
2007-10-27 07:47 EDT, Jeff Layton
no flags Details | Diff
patch 2 (1007 bytes, patch)
2007-10-27 07:48 EDT, Jeff Layton
no flags Details | Diff
patch 3 (782 bytes, patch)
2007-10-27 07:48 EDT, Jeff Layton
no flags Details | Diff
patch 4 (1.24 KB, patch)
2007-10-27 07:49 EDT, Jeff Layton
no flags Details | Diff
patch 5 (1.40 KB, patch)
2007-10-27 07:49 EDT, Jeff Layton
no flags Details | Diff
patch 6 (1.19 KB, patch)
2007-10-27 07:50 EDT, Jeff Layton
no flags Details | Diff
patch 7 (2.80 KB, patch)
2007-10-27 07:52 EDT, Jeff Layton
no flags Details | Diff
patch 8 (1.93 KB, patch)
2007-11-28 10:48 EST, Jeff Layton
no flags Details | Diff

  None (edit)
Description Jeff Layton 2007-10-27 07:01:02 EDT
We still have a number of RHEL4 users who use smbfs. While it's not actively
being worked on upstream, there are a number of fixes that have gone there in
since RHEL4's release that we should probably take.
Comment 1 Jeff Layton 2007-10-27 07:47:52 EDT
Created attachment 240281 [details]
patch 1
Comment 2 Jeff Layton 2007-10-27 07:48:27 EDT
Created attachment 240291 [details]
patch 2
Comment 3 Jeff Layton 2007-10-27 07:48:48 EDT
Created attachment 240301 [details]
patch 3
Comment 4 Jeff Layton 2007-10-27 07:49:09 EDT
Created attachment 240311 [details]
patch 4
Comment 5 Jeff Layton 2007-10-27 07:49:31 EDT
Created attachment 240321 [details]
patch 5
Comment 6 Jeff Layton 2007-10-27 07:50:01 EDT
Created attachment 240331 [details]
patch 6
Comment 7 Jeff Layton 2007-10-27 07:52:25 EDT
Created attachment 240341 [details]
patch 7

This patch is not yet upstream, but I'll probably send it there in the near
future.

There's also another experimental patch in bug 241545 that we may want to take
as well, depending on upstream review. If that patch actually fixes the problem
reported there, then I may just fold that BZ into this one.
Comment 8 RHEL Product and Program Management 2007-10-29 12:45:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 Jeff Layton 2007-11-28 10:45:49 EST
*** Bug 241545 has been marked as a duplicate of this bug. ***
Comment 10 Jeff Layton 2007-11-28 10:48:04 EST
Created attachment 271431 [details]
patch 8

This is the patch that fixes the problem reported in BZ# 241545. I've closed
that bug as a duplicate of this one so I could fold this patch in with the
larger set.
Comment 13 Vivek Goyal 2008-02-28 18:29:19 EST
Committed in 68.15.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 17 errata-xmlrpc 2008-07-24 15:18:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0665.html

Note You need to log in before you can comment on or make changes to this bug.